Subject: bug#52496: syntax highlighting problem on emacs shell-script mode

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Dec 2021 10:46:03 +0100

Kévin Le Gouguec <[email-masked]> writes:

> So IIUC for here-documents anything is fair game except (1)
> {single,double,back} quotes (2) metacharacters (3) backslashes and
> comment openers (#); all of which can still be used if quoted or escaped
> *on the opening line only*.

Thanks.

As far as I can see, sh-mode doesn't really try too hard to be correct
here -- it accepts word constituents, but then adds back -/~._ which it
has defined as punctuation in `sh-mode-syntax-table'.  So perhaps we
should just continue doing that and add @, too, even though that's not
very satisfactory.

So I've now done that in Emacs 29.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no